API ReferenceapicommunityGET /v1/communities/{slug}

GET /v1/communities/\{slug\}

Service: community · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • slug (string) required

Responses

200 Community detail

{
  "type": "object",
  "properties": {
    "slug": {
      "type": "string"
    },
    "name": {
      "type": "string"
    },
    "description": {
      "type": [
        "string",
        "null"
      ]
    },
    "cover_image_url": {
      "type": [
        "string",
        "null"
      ]
    },
    "owner_user_id": {
      "type": "string"
    },
    "created_at": {
      "type": "string"
    }
  },
  "required": [
    "slug",
    "name",
    "description",
    "cover_image_url",
    "owner_user_id",
    "created_at"
  ]
}

404 Community not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://community.platform.loop.health/v1/communities/{slug} \
  -H "Authorization: Bearer $ACCESS_TOKEN"